dofile("Scripts/levelManager.lua");

LManager = LevelManager.create();

LManager:AddGame(eGAME_METER);
LManager:AddGame(eGAME_SPIN);
LManager:AddGame(eGAME_RECALL);
--LManager:AddGame(eGAME_SHELL);
--LManager:AddGame(eGAME_COMBO);

--square block formation
LManager:AddTable(eTYPE_TABLE2, 380, 260);
LManager:AddTable(eTYPE_TABLE4, 200, 375);
LManager:AddTable(eTYPE_TABLE6, 560, 375);
LManager:AddTable(eTYPE_TABLE8, 380, 490);


seated = LManager.GenSeated(eTYPE_SEATED3);
seated.tableIdx = 1;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED5);
seated.tableIdx = 2;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED1);
seated.tableIdx = 3;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED6);
seated.tableIdx = 4;
LManager:AddSeated(seated);

guest = LManager.GenGuest(eTYPE_GUEST2);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 3000;
guest.needs[2] = eWANT_DRINK;
guest.times[2] = 38000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 63000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 80000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 115000;
guest.needs[6] = eWANT_GIFT;
guest.times[6] = 138000;
guest.needs[7] = eWANT_DRINK;
guest.times[7] = 145000;
guest.needs[8] = eWANT_GIFT;
guest.times[8] = 156000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST5);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 5000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 31000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 48000;
guest.needs[4] = eWANT_GIFT;
guest.times[4] = 70000;
guest.needs[5] = eWANT_DRINK;
guest.times[5] = 93000;
guest.needs[6] = eWANT_TALK;
guest.times[6] = 122000;
guest.needs[7] = eWANT_GIFT;
guest.times[7] = 164000;
guest.needs[8] = eWANT_GIFT;
guest.times[8] = 182000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST6);
guest.needs[1] = eWANT_DRINK;
guest.times[1] = 12000;
guest.needs[2] = eWANT_DRINK;
guest.times[2] = 25000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 55000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 70000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 100000;
guest.needs[6] = eWANT_GIFT;
guest.times[6] = 110000;
guest.needs[7] = eWANT_TALK;
guest.times[7] = 147000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST7);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 18000;
guest.needs[2] = eWANT_DRINK;
guest.times[2] = 63000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 105000;
guest.needs[4] = eWANT_GIFT;
guest.times[4] = 129000;
guest.needs[5] = eWANT_GIFT;
guest.times[5] = 000;
guest.needs[6] = eWANT_TALK;
guest.times[6] = 000;
guest.needs[7] = eWANT_TALK;
guest.times[7] = 174000;
LManager:AddGuest(guest);

LManager:AdjustGuestHappiness(150);
LManager:SetSnackTime(20000);

LManager:SetLevelNumber(2,1);
LManager:SetLevelScores(5500, 6000);
LManager:SetLevelTime(45000);

gameObject = LManager:GenerateGameObject();

levelSetting = LManager:GenerateLevelSettings();